package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.NotificationRecords;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-23
 */
public interface NotificationRecordsMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public NotificationRecords selectNotificationRecordsById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param notificationRecords 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<NotificationRecords> selectNotificationRecordsList(NotificationRecords notificationRecords);

    /**
     * 新增【请填写功能名称】
     * 
     * @param notificationRecords 【请填写功能名称】
     * @return 结果
     */
    public int insertNotificationRecords(NotificationRecords notificationRecords);

    /**
     * 修改【请填写功能名称】
     * 
     * @param notificationRecords 【请填写功能名称】
     * @return 结果
     */
    public int updateNotificationRecords(NotificationRecords notificationRecords);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteNotificationRecordsById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNotificationRecordsByIds(Long[] ids);
    
    /**
     * 批量新增通知记录
     *
     * @param list 通知记录列表
     * @return 结果
     */
    public int batchInsertNotificationRecords(List<NotificationRecords> list);

    int updateStatusNotificationRecords(List<NotificationRecords> records);
}
